routes/web.php
<?php

use Illuminate\Support\Facades\Route;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [App\Http\Controllers\HomeController::class, 'index']);
Route::any('json/data',[App\Http\Controllers\SiswaController::class, 'getListKota'])->name('json.data');

Route::group(['prefix' => 'siswa', 'as' => 'siswa.'], function () {
    Route::get('/',[App\Http\Controllers\SiswaController::class, 'index']);
    Route::get('/json',[App\Http\Controllers\SiswaController::class, 'getSiswa'])->name('json');
    Route::get('/tambah',[App\Http\Controllers\SiswaController::class, 'create'])->name('tambah');
    Route::post('/simpan',[App\Http\Controllers\SiswaController::class, 'store'])->name('simpan');
    Route::get('/edit/{id}',[App\Http\Controllers\SiswaController::class, 'edit'])->name('edit');
    Route::get('/detail/{id}',[App\Http\Controllers\SiswaController::class, 'show'])->name('detail');
    Route::get('/update/{id}',[App\Http\Controllers\SiswaController::class, 'update'])->name('update');
    Route::get('/hapus/{id}',[App\Http\Controllers\SiswaController::class, 'destroy'])->name('hapus');
});

Route::group(['prefix' => 'kecamatan', 'as' => 'kecamatan.'], function () {
    Route::get('/',[App\Http\Controllers\KecamatanController::class, 'index']);
    Route::get('/json',[App\Http\Controllers\KecamatanController::class, 'getKecamatan'])->name('json');
    Route::get('/tambah',[App\Http\Controllers\KecamatanController::class, 'create'])->name('tambah');
    Route::post('/simpan',[App\Http\Controllers\KecamatanController::class, 'store'])->name('simpan');
    Route::get('/edit/{id}',[App\Http\Controllers\KecamatanController::class, 'edit'])->name('edit');
    Route::get('/detail/{id}',[App\Http\Controllers\KecamatanController::class, 'show'])->name('detail');
    Route::get('/update/{id}',[App\Http\Controllers\KecamatanController::class, 'update'])->name('update');
    Route::get('/hapus/{id}',[App\Http\Controllers\KecamatanController::class, 'destroy'])->name('hapus');
});

Route::group(['prefix' => 'kotaKab', 'as' => 'kotaKab.'], function () {
    Route::get('/',[App\Http\Controllers\KotaKabController::class, 'index']);
    Route::get('/json',[App\Http\Controllers\KotaKabController::class, 'getKotaKab'])->name('json');
    Route::get('/tambah',[App\Http\Controllers\KotaKabController::class, 'create'])->name('tambah');
    Route::post('/simpan',[App\Http\Controllers\KotaKabController::class, 'store'])->name('simpan');
    Route::get('/edit/{id}',[App\Http\Controllers\KotaKabController::class, 'edit'])->name('edit');
    Route::get('/detail/{id}',[App\Http\Controllers\KotaKabController::class, 'show'])->name('detail');
    Route::get('/update/{id}',[App\Http\Controllers\KotaKabController::class, 'update'])->name('update');
    Route::get('/hapus/{id}',[App\Http\Controllers\KotaKabController::class, 'destroy'])->name('hapus');
});

app/Models/kecamatan.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class kecamatan extends Model
{
    use HasFactory;
    protected $table = 'kecamatan';
    
    protected $primaryKey = 'id_kecamatan';

    protected $fillable = [
        'id_kecamatan',
        'nama',
        'id_kotaKab',
    ];

    public $incrementing = true;

    public function kotaKab()
    {
        return $this->belongsTo('App\Models\kotaKab', 'id_kotaKab');
    }

    public function siswa()
    {
        return $this->hasMany('App\Models\siswa','id_kecamatan');
    }
}

app/Http/Controllers/KecamatanController.php
<?php

namespace App\Http\Controllers;

use App\Models\kecamatan;
use App\Models\kotaKab;
use App\Http\Requests\StorekecamatanRequest;
use App\Http\Requests\UpdatekecamatanRequest;
use Illuminate\Support\Facades\Route;
use Carbon\Carbon;
use DataTables;
use Validator;
use Illuminate\Http\Request;

class KecamatanController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data['kec'] = kecamatan::All();
        $data['url'] = Route::currentRouteName();
        return view('kecamatan/index',$data);
    }

    public function getKecamatan(){
        $data = kecamatan::get();
        return DataTables::of($data)
        ->addColumn('kota',function($data){
            $kota = kotaKab::find($data->id_kotaKab);
            return $kota->nama;
        })
        ->addColumn('action', function($data){
            $actionBtn = '<div class="d-flex justify-content-center "><a href="/kecamatan/detail/'.$data->id_kecamatan.'" class="edit btn btn-success btn-sm align-items-center col-3 h-50"><i class="bi-eye" style="font-size: 10px"></i>Detail</a><a href="/kecamatan/edit/'.$data->id_kecamatan.'" class="edit btn btn-primary mx-2 h-50 btn-sm align-items-center col-3"><i class="bi-pencil-square" style="font-size: 10px"></i>Edit</a><a onclick="return confirm(`Apakah anda yakin ?`)" href="/kecamatan/hapus/'.$data->id_kecamatan.'" class="edit btn btn-danger h-50 btn-sm align-items-center col-3"><i class="bi-trash" style="font-size: 10px"></i>Delete</a></div>';
            return $actionBtn;
            })
        ->toJson();
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $date= Carbon::now();
        $data['date']=$date->format('d/m/Y');
        $data['url'] = Route::currentRouteName();
        $data['kotaKab'] = kotaKab::All();
        return view('kecamatan/tambah',$data);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \App\Http\Requests\StorekecamatanRequest  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validate = Validator::make($request->all(), [
            'name' => 'required',
            'id_kotaKab'=>'required',
        ]);

        if($validate->fails()){
            return redirect()->route('kecamatan.')->with('after_save',  [
                'alert'     => 'danger',
                'icon'      => 'attention',
                'title'     => 'Error !',
                'text-1'    => '',
                'text-2'    => 'Gagal Menambahkan Data'
            ]
            );
        }

        $after_save = [
            'alert'     => 'success',
            'icon'      => 'check',
            'title'     => 'Success ! ',
            'text-1'    => '',
            'text-2'    => 'Data Baru Berhasil Ditambahkan'
        ];
        
        $data = new kecamatan();
        $data->id_kecamatan;
        $data->nama= $request->name;
        $data->id_kotaKab = $request->id_kotaKab;
        $data->save();
        return redirect()->route('kecamatan.')->with('after_save', $after_save);
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\kecamatan  $kecamatan
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $data['kecamatan']=kecamatan::find($id);
        $data['url'] = Route::currentRouteName();
        $date= Carbon::now();
        $data['date']=$date->format('d/m/Y');
        return view('kecamatan.detail',$data);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\kecamatan  $kecamatan
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data['kecamatan']=kecamatan::find($id);
        $data['url'] = Route::currentRouteName();
        $date= Carbon::now();
        $data['kotaKab']=kotaKab::All();
        $data['date']=$date->format('d/m/Y');
        return view('kecamatan.edit',$data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \App\Http\Requests\UpdatekecamatanRequest  $request
     * @param  \App\Models\kecamatan  $kecamatan
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validate = Validator::make($request->all(), [
            'name' => 'required',
            'id_kotaKab'=>'required',
        ]);

        if($validate->fails()){
            return redirect()->route('kecamatan.')->with('after_save',  [
                'alert'     => 'danger',
                'icon'      => 'attention',
                'title'     => 'Error !',
                'text-1'    => '',
                'text-2'    => 'Gagal Menambahkan Data'
            ]
            );
        }

        $after_save = [
            'alert'     => 'success',
            'icon'      => 'check',
            'title'     => 'Success ! ',
            'text-1'    => '',
            'text-2'    => 'Data Berhasil Diperbarui'
        ];
        
        $data = kecamatan::find($id);
        $data->nama= $request->name;
        $data->id_kotaKab = $request->id_kotaKab;
        $data->save();
        return redirect()->route('kecamatan.')->with('after_save', $after_save);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\kecamatan  $kecamatan
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $data = kecamatan::find($id);
        $data->delete();
    return redirect()->route('kecamatan.')->with('after_save', [
        'alert'     => 'success',
        'icon'      => 'check',
        'title'     => 'Success ! ',
        'text-1'    => '',
        'text-2'    => 'Data Berhasil Dihapus'
    ]);
    }
}

resources/views/kecamatan/detail.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-11">
            @if (Session::has('after_save'))
            <div class="col-md-12" style="margin-top:20px;">
                <div class="alert alert-xs alert-dismissible mx-3 alert-{{ Session::get('after_save.alert') }}">
                    <button type="button" class="btn btn-outline-success close m-0 " data-dismiss="alert">x</button>
                    <strong>{{ Session::get('after_save.title') }}</strong>
                    <a href="javascript:void(0)" class="alert-link">{{ Session::get('after_save.text-1') }}</a> {{
                    Session::get('after_save.text-2') }}
                </div>
            </div>
            @endif
            <div class="d-flex justify-content-between mb-3 align-items-center">
                <div class="flex-column">
                    <h2 class="mb-0">Detail Kecamatan</h2>
                    <ol class="breadcrumb mb-0">
                        @foreach (explode('.',$url) as $p)
                        <li class="breadcrumb-item"><a href="#" @if ($loop->last)
                                class='text-warning'
                                @endif>{{$p}}</a></li>
                        @endforeach
                    </ol>
                </div>
                <a class="btn btn-sm btn-primary align-items-center d-flex h-50 rounded-5" href="javascripy:void(0)"><i
                        class="bi-calendar-fill p-0" style="font-size: 15px"></i><span>{{$date}}</span></a>
            </div>
            <div class="card">
                <div class="card-body">
                    @if (session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                    @endif
                    <form>
                        @csrf
                        <div class="row">
                            <div>
                                <div class="w-100">
                                    <div class="form-group col-12 my-2">
                                        <label for="id">id Kecamatan</label>
                                        <div class="input-group">
                                            <input type="text" name="id" id="name" class="form-control" placeholder=""
                                                value="{{$kecamatan->id_kecamatan}}" readonly>
                                        </div>
                                    </div>
                                    <div class="form-group col-12 my-2">
                                        <label for="name">Nama Kecamatan</label>
                                        <div class="input-group">
                                            <input type="text" name="name" id="name" class="form-control"
                                                placeholder="Masukkan Nama Kecamatan" value="{{$kecamatan->nama}}"
                                                readonly>
                                        </div>
                                    </div>
                                    <div class="form-group col-12 my-2">
                                        <label for="name">Nama Kota/Kabupaten</label>
                                        <div class="input-group">
                                            <input type="text" name="name" id="name" class="form-control"
                                                placeholder="Masukkan Nama Kota/Kabupaten"
                                                value="{{$kecamatan->kotaKab->nama}}" readonly>
                                        </div>
                                    </div>
                                    <div class="d-flex col-12 align-items-center">
                                        <div class="col-12 d-flex form-row justify-content-end align-items-center mt-4">
                                            <a href="/kecamatan" class="btn btn-danger mx-2">Kembali</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('assets') }}/login/jquery-2.2.3.min.js"></script>
<!-- Bootstrap 3.3.6 -->
<script src="{{ asset('assets') }}/libs/bootstrap/dist/js/bootstrap.min.js"></script>
@endpush

resources/views/kecamatan/edit.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-11">
            @if (Session::has('after_save'))
            <div class="col-md-12" style="margin-top:20px;">
                <div class="alert alert-xs alert-dismissible mx-3 alert-{{ Session::get('after_save.alert') }}">
                    <button type="button" class="btn btn-outline-success close m-0 " data-dismiss="alert">x</button>
                    <strong>{{ Session::get('after_save.title') }}</strong>
                    <a href="javascript:void(0)" class="alert-link">{{ Session::get('after_save.text-1') }}</a> {{
                    Session::get('after_save.text-2') }}
                </div>
            </div>
            @endif
            <div class="d-flex justify-content-between mb-3 align-items-center">
                <div class="flex-column">
                    <h2 class="mb-0">Edit Kecamatan</h2>
                    <ol class="breadcrumb mb-0">
                        @foreach (explode('.',$url) as $p)
                        <li class="breadcrumb-item"><a href="#" @if ($loop->last)
                                class='text-warning'
                                @endif>{{$p}}</a></li>
                        @endforeach
                    </ol>
                </div>
                <a class="btn btn-sm btn-primary align-items-center d-flex h-50 rounded-5" href="javascripy:void(0)"><i
                        class="bi-calendar-fill p-0" style="font-size: 15px"></i><span>{{$date}}</span></a>
            </div>
            <div class="card">
                <div class="card-body">
                    @if (session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                    @endif
                    <form action="/kecamatan/update/{{$kecamatan->id_kecamatan}}" method="PUT">
                        @csrf
                        <div class="row">
                            <div>
                                <div class="w-100">
                                    <div class="form-group col-12 my-2">
                                        <label for="id">id Kota/Kabupaten</label>
                                        <div class="input-group">
                                            <input type="text" name="id" id="name" class="form-control" placeholder=""
                                                value="{{$kecamatan->id_kecamatan}}" readonly>
                                        </div>
                                    </div>
                                    <div class="form-group col-12 my-2">
                                        <label for="name">Nama Kecamatan</label>
                                        <div class="input-group">
                                            <input type="text" name="name" id="name" class="form-control"
                                                placeholder="Masukkan Nama Kecamatan" value="{{$kecamatan->nama}}">
                                        </div>
                                    </div>
                                    <div class="form-group col-12 my-2">
                                        <label for="id">Nama Kota/Kabupaten</label>
                                        <select class="form-control text-dark" id="id" name="id_kotaKab">
                                            @foreach ($kotaKab as $p)
                                            <option value="{{$p->id_kotaKab}}">{{$p->nama}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="d-flex col-12 align-items-center">
                                        <div class="col-12 d-flex form-row justify-content-end align-items-center mt-4">
                                            <a href="/kecamatan" class="btn btn-danger mx-2">Kembali</a>
                                            <button type="submit" class="btn btn-success mx-0"
                                                value="submit">Simpan</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('assets') }}/login/jquery-2.2.3.min.js"></script>
<!-- Bootstrap 3.3.6 -->
<script src="{{ asset('assets') }}/libs/bootstrap/dist/js/bootstrap.min.js"></script>
@endpush

resources/views/kecamatan/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-11">
            @if (Session::has('after_save'))
            <div class="col-md-12" style="margin-top:20px;">
                <div class="alert alert-xs alert-dismissible mx-3 alert-{{ Session::get('after_save.alert') }}">
                    <button type="button" class="btn btn-outline-success close m-0 " data-dismiss="alert">x</button>
                    <strong>{{ Session::get('after_save.title') }}</strong>
                    <a href="javascript:void(0)" class="alert-link">{{ Session::get('after_save.text-1') }}</a> {{
                    Session::get('after_save.text-2') }}
                </div>
            </div>
            @endif
            <div class="d-flex justify-content-between mb-3 align-items-center">
                <div class="flex-column">
                    <h2 class="mb-0">Daftar Kecamatan</h2>
                    <ol class="breadcrumb mb-0">
                        @foreach (explode('.',$url) as $p)
                        <li class="breadcrumb-item"><a href="#" @if ($loop->last)
                                class='text-warning'
                                @endif>{{$p}}</a></li>
                        @endforeach
                    </ol>
                </div>
                <a class="btn btn-sm btn-primary align-items-center d-flex h-50 rounded-5"
                    href="{{route('kecamatan.tambah') }}"><i class="bi-plus p-0"
                        style="font-size: 15px"></i><span>Tambah
                        Data</span></a>
            </div>
            <div class="card">
                <div class="card-body">
                    <table class="table my-3 mx-0 w-100" id="tabel-kecamatan">
                        <thead class="text-white thead text-center">
                            <tr>
                                <th id="headTable">Id Kecamatan</th>
                                <th id="headTable">Kecamatan</th>
                                <th id="headTable">Kota/Kabupaten</th>
                                <th id="headTable">Aksi</th>
                            </tr>
                        </thead>
                        <tbody class="text-dark text-center">
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@push('scripts')

<script type="text/javascript">
    $(document).ready(function(){
        renderDataTable();
    });
    function renderDataTable(){
        $('#tabel-kecamatan').DataTable({
            pagingType: "full_numbers",
            lengthMenu: [[ 5, 15, 25, 100, -1 ], [ 5, 15, 25, 100, "All" ]],
            processing:true,
            serverSide:true,
            ajax:'{{ route("kecamatan.json") }}',
            columns:[
                    {
                        data:'id_kecamatan',
                        name:'id_kecamatan'
                    },
                    {
                        data:'nama',
                        name:'nama'
                    },
                    {
                        data:'kota',
                        name:'kota'
                    },
                    {
                        data:'action',
                        name:'action'
                    },
            ]
        })
    };
</script>

@endpush

resources/views/kecamatan/tambah.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-11">
            @if (Session::has('after_save'))
            <div class="col-md-12" style="margin-top:20px;">
                <div class="alert alert-xs alert-dismissible mx-3 alert-{{ Session::get('after_save.alert') }}">
                    <button type="button" class="btn btn-outline-success close m-0 " data-dismiss="alert">x</button>
                    <strong>{{ Session::get('after_save.title') }}</strong>
                    <a href="javascript:void(0)" class="alert-link">{{ Session::get('after_save.text-1') }}</a> {{
                    Session::get('after_save.text-2') }}
                </div>
            </div>
            @endif
            <div class="d-flex justify-content-between mb-3 align-items-center">
                <div class="flex-column">
                    <h2 class="mb-0">Tambah Data</h2>
                    <ol class="breadcrumb mb-0">
                        @foreach (explode('.',$url) as $p)
                        <li class="breadcrumb-item"><a href="#" @if ($loop->last)
                                class='text-warning'
                                @endif>{{$p}}</a></li>
                        @endforeach
                    </ol>
                </div>
                <a class="btn btn-sm btn-primary align-items-center d-flex h-50 rounded-5" href="javascripy:void(0)"><i
                        class="bi-calendar-fill p-0" style="font-size: 15px"></i><span>{{$date}}</span></a>
            </div>
            <div class="card">
                <div class="card-body">
                    @if (session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                    @endif
                    <form action="{{url('/kecamatan/simpan')}}" method="POST">
                        @csrf
                        <div class="row">
                            <div class="form-group col-12 my-2">
                                <label for="name">Nama Kecamatan</label>
                                <div class="input-group">
                                    <input type="text" name="name" id="name" class="form-control"
                                        placeholder="Masukkan Nama Kecamatan" required>
                                </div>
                            </div>
                            <div class="form-group col-12 my-2">
                                <label for="id">Nama Kota/Kabupaten</label>
                                <select class="form-control text-dark" id="id" name="id_kotaKab">
                                    @foreach ($kotaKab as $p)
                                    <option value="{{$p->id_kotaKab}}">{{$p->nama}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="col-12 d-flex form-row justify-content-end align-items-center mt-4">
                                <a href="/Manajemen-karyawan/List-karyawan" class="btn btn-danger mx-2">Batal</a>
                                <button type="submit" class="btn btn-success mx-0" value="submit">Simpan</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('assets') }}/login/jquery-2.2.3.min.js"></script>
<!-- Bootstrap 3.3.6 -->
<script src="{{ asset('assets') }}/libs/bootstrap/dist/js/bootstrap.min.js"></script>

<script>
</script>
@endpush